%define upstream_name    ConfigReader-Simple
%define upstream_version 1.297

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Read simple configuration file formats
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ConfigReader/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(strict)
BuildRequires: perl(subs)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'ConfigReader::Simple' reads and parses simple configuration files. It is
designed to be smaller and simpler than the 'ConfigReader' module and is
more suited to simple configuration files. 

The configuration file format
    The configuration file uses a line-oriented format, meaning that the
    directives do not have containers. The values can be split across lines
    with a continuation character, but for the most part everything ends up
    on the same line.

    The first group of non-whitespace characters is the "directive", or the
    name of the configuration item. The linear whitespace after that
    separates the directive from the "value", which is the rest of the
    line, including any other whitespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jan 24 2025 tv <tv> 1.297.0-1.mga10
+ Revision: 2141391
- update to 1.297

* Thu Jan 25 2024 tv <tv> 1.296.0-1.mga10
+ Revision: 2034241
- update to 1.296

* Mon Mar 21 2022 umeabot <umeabot> 1.295.0-2.mga9
+ Revision: 1815932
- Mageia 9 Mass Rebuild

* Mon Jan 10 2022 tv <tv> 1.295.0-1.mga9
+ Revision: 1767712
- update to 1.295

* Thu Feb 25 2021 tv <tv> 1.294.0-1.mga9
+ Revision: 1691232
- update to 1.294

* Wed Feb 12 2020 umeabot <umeabot> 1.293.0-3.mga8
+ Revision: 1503595
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.293.0-2.mga7
+ Revision: 1282466
- Mageia 7 Mass Rebuild

* Sat May 05 2018 shlomif <shlomif> 1.293.0-1.mga7
+ Revision: 1226412
- update to 1.293

* Sun Jul 30 2017 sander85 <sander85> 1.291.0-1.mga7
+ Revision: 1132779
- update to 1.291

* Sat Jun 18 2016 pterjan <pterjan> 1.290.0-6.mga6
+ Revision: 1024313
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.290.0-5.mga6
+ Revision: 949465
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.290.0-4.mga5
+ Revision: 789668
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.290.0-3.mga5
+ Revision: 742028
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.290.0-2.mga5
+ Revision: 684004
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.290.0-1.mga5
+ Revision: 664598
- update to 1.29

* Fri Oct 18 2013 umeabot <umeabot> 1.280.0-4.mga4
+ Revision: 510281
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.280.0-3.mga3
+ Revision: 364717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.280.0-2.mga1
+ Revision: 29110
- mageia rebuild
- imported package perl-ConfigReader-Simple

